Employment Info

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

This API allows you to check the worker’s current status and all related employment information registered with the Instituto Mexicano del Seguro Social (IMSS).

This service is asynchronous. Therefore, once the request is made, you will receive a response with a pending status. To see the service's response, you must use the GET endpoint to obtain the response once all the data has been processed.

Important points

Required parameters

It will be necessary to indicate

  • NSS
  • CURP

Request examples

Individual

{
    "curp": "GOMA850320HDFRRN09",
    "nss": "45671234567"
}

Response

You can find an examples of the different kinds of responses in the examples of the call.

Response fields

CampoDescripción
apellidoMaternoApellido materno del trabajador
apellidoPaternoApellido paterno del trabajador
curpClave Única de Registro de Población (CURP) del trabajador
nombreNombre(s) del trabajador
nssNúmero de Seguridad Social (NSS) asignado por el IMSS
sexoSexo del trabajador (HOMBRE / MUJER)
statusEstado actual del registro del trabajador (ACTIVE / INACTIVE)
ultimoReporteFecha del último reporte generado (formato YYYY-MM-DD)
informacionLaboral
informacionLaboral.claveEntidadClave numérica de la entidad federativa donde labora el trabajador
informacionLaboral.diasNúmero de días trabajados en el período reportado
informacionLaboral.entidadFederativaNombre de la entidad federativa donde se ubica el empleo
informacionLaboral.modalidadClave de la modalidad de aseguramiento ante el IMSS
informacionLaboral.razonSocialNombre o razón social del patrón o empresa empleadora
informacionLaboral.registroPatronalNúmero de registro patronal ante el IMSS
informacionLaboral.rfcPatronRFC del patrón o empresa empleadora
informacionLaboral.salarioBaseSalario base de cotización del trabajador expresado en pesos mexicanos (MXN)

Required field

You will get a 400 bad request error when NSS or CuURP parameter is not provided or doesn't exist in the body request.

[
    {
        "code": "REQUIRED_FIELD_ERROR",
        "message": "EMPTY_ERROR  can't be empty",
        "field": "nss"
    }
]

Invalid format

You will get a 400 bad request error when the parameters does not comply with the correct format

[
    {
        "message": "Does not match pattern '[A-Z]{1}[AEIOUX]{1}[A-Z]{2}[0-9]{2}(0[1-9]|1[0-2])(0[1-9]|1[0-9]|2[0-9]|3[0-1])[HM]{1}(AS|BC|BS|CC|CS|CH|CL|CM|DF|DG|GT|GR|HG|JC|MC|MN|MS|NT|NL|OC|PL|QT|QR|SP|SL|SR|TC|TS|TL|VZ|YN|ZS|NE)[B-DF-HJ-NP-TV-Z]{3}[0-9A-Z]{1}[0-9]{1}$'",
        "field": "curp"
    },
    {
        "message": "Does not match pattern '^[0-9]{11}$'",
        "field": "nss"
    }
]

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json